Sharachov

Система ADEM

125 сообщений в этой теме

Есть ли у кого что сказать по теме ? Кто-нибудь применял эту систему реально ?

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах


Я работал в Адем v2.07 и v3.03 (лицензионном). У нас на соседнем предприятии используется Адем v6.2. Разрабатывал и разрабатываю до сих пор постпроцесоры для нее. В ней неплохо сделана 2.5d обработка. Насчет 3d не знаю, но спецы на соседнем предприятии говорят что есть глюки. Мне самому не очень нравится 3Д обработка в ней.

Тогда, в 1994-1995 г. она нам здорово помогла решить вопросы с 2.5d обработкой. Фактически, с помощью Адем, произошло сокращение людей занимающихся 2.5Д обработкой. Из 5 человек, осталась сегодня 1 девушка которая решает все вопросы. Делает она max 25 прог за смену обработки 2.5D, при условии если если получает электронные чертежи.

А чертить в ней не очень, 3Д моделирование не пробовал.

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

  Согласен полностья с SVN по части 2,5-коорд. обработки в Адеме. В те же годы с теми же версиями активно работал.  3d моделирование пробовал, но  не смог его принять. А чертить в ней мне очень нравилось, просто подход отличен от автокадовского.

   В версии 6,2 принципиально нового мало что появилось (в плане 2,5), а в 3-5-координатку, может они и зря ударились. И вообще про Адем очень долго ничего слышно небыло.

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Смотрел месяц назад Т-Flex ЧПУ 2.5d. Так он в плане 2.5д обработки уступает Адем образца 1995 года.

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Мы тоже давно работаем с ADEM [ ... ]. Смею утверждать, что трехкоординатка вполне нормальная, а объемное моделирование покруче чем в некоторых модных зарубежных

пакетах. Покрайней мере, на практике заменить ADEM другими системами не удается,

даже когда их давят через начальство.

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

"а объемное моделирование покруче чем в некоторых модных зарубежных"

    Это интересно. Насколько я знаю на этот форум можно как-то в сообщения картинки вставлять. не могли бы вы, Vasil, показать деталь, считающуюся в ADEM сложной?

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

С удовольствием покажу даже живьем в металле. Предприятие недалеко от Москвы. Дайте

координаты  для прямой связи. Знаю также некоторых других пользователей.

Кое что можно увидеть в статьях на ADEMовском сайте.

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

На этом форуме прямая связь - это просто. Кликните в мой ник, потом в меню "Email" - все можно отправлять мыло. Если можно файл в формате IGES или STEP. Спасибо.

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Я вот тут думаю, как послать 50 Мб IGES... Попробую как-то упаковать, может быть удастся.

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Так тема называется - "похвали любимый САПР". Вот я и хвалю. Или есть системы, которые нельзя хвалить? Я смотрю, на этом форуме куча постингов про другие системы - как быть с ними? Буду очень признателен, если мне разъяснят политику форума.

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Очень простая политика. Хвалите сколь угодно. Но не используйте для рекламы.  Конечно, существует это очень тонкая грань между словами "хвалить" и "рекламировать".

В вашем постинге я удалил именно ту часть сообщения, которую и считаю рекламой - ссылку на сайт и на статьи в журнале.

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Если кого интересуют конкретные примеры деталей обработанных в АДЕМ (от 2,5 до 5-х) проще связаться с разработчиком и получить данные пользователей, которые занимаются схожей тематикой. Лицом к лицу так сказать.

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Vasil

Попробовал в очередной раз 3D в Адем, извини мою неграмотность, не нашел я возможность параметризации при построении твердых тел. Искать ее или ее нет?

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Ее можно будет искать в версии 7.0.

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Господа! У нас технологи уже с 1994 года пользуются ADEM, сначала 2.09, потом 3, сейчас покупаем 6.3, они в восторге, и другого им ничего не надо, конечно, про CAD ничего не скажу - Солид круче, это понятно, и удобнее, и мощнее, но и стоит он гораздо больше...

Хочу сказать - видел у них модуль технологический, я в восторге, круче не видел, возможностей - как в 1С среди бухгалтерии (свой встроенный язык и т.д.)...

Может кто поделится своим опытом применения?

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Quote: from sapr2000 on 12:33 - 26 Фев., 2002

Хочу сказать - видел у них модуль технологический, я в восторге, круче не видел, возможностей - как в 1С среди бухгалтерии (свой встроенный язык и т.д.)...

А для каких целей можно использовать этот встроенный язык?

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

А для любых...

создание своих алгоритмов, создание своих диалоговых окон, я думаю, они сами расскажут подробнее, хочу взять у них в опытную, посмотреть поробнее, но так на первый взгляд даже стандартная поставка подходит к нашему производству...

опять-же настройка техкарт - проще, чем скажем в ТехноПро, там я замучился...

Более детально я смогу сказать через пару месяцев, когда посмотрим все это дело в работе...

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Можно много говорить о ADEM CAM 2,5X в версиях 6 и младше, давайте обсудим версию 6.3 с точки зрения CAD3D/CAM 3X.

 Хотя мы и создавали модели аэродинамических лопаток в версии 6.2 и делали обработку в ней (модели и УП обработка коммерческая тайна , а картинку можно выслать) , версия 6.3  решает вопросы проектирования сложной формообразующей оснастки , моделей и обработки матриц и пуансонов практически любой геометрической сложности.

Есть предложение обсудить проблемы создания моделей 3D и УП на их обработку.

И споры о возможностях различных систем по созданию объемных моделей и УП на их обработку (в т.ч. и с учетом стойки ЧПУ) решать путем соревнования по созданию моделей УП и постпроцессоров для стоек.

Готовы обсуждать озвученную тему и показать мощь CAD/CAM ADEM на Ваших примерах. Присылайте чертежи (в форматах dxf) или картинки растровые (за соблюдение размеров не отвечаем)  и краткое описание проблемы , а мы попробуем убедить Вас, что ADEM способен на большее, чем о нем сегодня известно.

Уточнение: задачи лучше слать по EMail .

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
Для LVG: Не нужно так горячо реагировать: здесь, в этом Форуме, никто ADEM не обижает, чтобы не сказать больше. Да и о других системах отзываются очень даже неплохо. Так что скрещивать шпаги не с кем и не зачем.

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Мне тоже кажется, что форум нередко "лихорадит" попытками устроить соревновательный процесс. Давайте для этого использовать другие места, например, выставки или выездные семинары. А на форуме нам надо решать другие вопросы - справочные, обучающе-разъясняющие... нереко мы обсуждаем здесь и конкретные проблемы технологии (вспомните тему о 3d коррекции)...

А показательные выступления нам здесь не нужны.

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

По поводу ADEM !!!

Система разрабатывался российскими разработчиками в течении 15 лет. В основе системы лежат отечественные разработки CherryCAD и САП КАТРАН (отсюда и 15 лет). Собственно говоря коммерческое распространение этих продуктов началось наверно даже раньше чем КОМПАС и T-Flex. Уже тогда эти две системы имели геометрический интерфейс, что в последствии послужило поводом для объединения и создания интегрированной CAD/CAM системы АДЕМ. Кадовская часть изначально поддерживала ЕСКД как машиностроительный так и строительный, а по функциональности и наполнению не уступает аналогичным отечественным разработкам. Кроме системы плоского черчения имеется развитая система объеменого поверхностного и твердотельного параметрического моделирования. Естетвенно что все модели (созданные в АДЕМ или импортированные) можно обработать в САМ-модуле или спроектировать ТП в модуле TDM.

На вопрос российскости системы могу ответить однозначно, система наша - все разработчики граждане России и работают тут же. Поскольку система реально продается на европейском рынке (Германия, Греция, Щвейцария ...), то там она предлагается как западная (но это уже хитрости маркетинга), хотя никто не скрывает, что все это Made in Russia. А платите вы не за бранд (хотя это звучит приятно), а за реальные возможности системы. Получать функциональность на уровне западных систем и платить за это по 100-300 баксов это же не серьезно (20000 это практически полный комплект, который редко кто покупает).

(Отредактировал(а) AK - 11:06 - 28 Марта, 2002)

(Отредактировал(а) AK - 11:09 - 28 Марта, 2002)

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Quoted from Guest about ADEM from topic "T-Flex"

1) "Обработки" -это вы имеете в  виду готовые схемы для обработки на станках с ЧПУ? Если это так, то неуверен, что это большой плюс, если только технологические параметры и схемы обработки не имеют полной прозрачности и не допускают полную настройку. А в этом у меня большие сомнения.

   Наличие готовых схем или ручное управление инструментом - это вопросы, не раз затрагивающиеся на этом Форуме. Очень трудно угодить пользователю, особенно, если пользователь сам не хочет, чтобы ему угодили, ИМХО. Все системы, которые присутствуют на рынке на данный момент, предоставляют полную прозрачность и полную настройку своих параметров. Весь вопрос только в том, "почему эта система не настроена изначально под меня?" Но это же не серьёзно.

2)Можно ли подробнее узнать, что стоит за словами "не совсем российская контора". Стало быть теперь, покупая "Адем", мы переплачиваем за имя(бренд)?

   ADEM - это действительно торговая марка. Имя, которое знают в России, может и не так хорошо, как хотелось бы. Однако, те, кто покупают продукцию под именем АДЕМ, не жалеют об этом. Но это не значит, что платят только за имя - платят за функциональность, за результат, который можно получить на системе. Конечно, косвенно имя АДЕМ говорит о том, что деньги не пропадут, что система не исчезнет, что пользователи не останутся без поддержки. Ну а количество денег определяется маркетинговой политикой фирмы и возможностями пользователей. Короче, справедливо все то , что Вы можете сказать о других зарекомендовавшим себя российских системах.

   Фирма, разрабатывающая систему АДЕМ, российская. Состоящая из россиян и работающая для россиян. Существующая на российском рынке уже более 10 лет, и никуда из российского рынка уходить не собирающаяся.

   Есть официальный сайт Омеги www.adem.ru, на нем можно ознакомиться со всем интересующем по системе.

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Quoted from Guest about ADEM from topic "T-Flex" :

<i>Я вот скажу от себя, что у этих ребят в "плюсе" находится весьма приемлимая цена, условия обучения... а скажем у коллег из "Омеги", мне назвали 20000$. </i>

Да за 20000$ я в Омеге получу 4-5 АДЕМов влегкую. Это же программное обеспечение, а не станок, кто же здесь "в лоб" работает? :))

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Quote: from Guest on 13:01 - 25 Янв., 2002

Есть ли у кого что сказать по теме ? Кто-нибудь применял эту систему реально ?

_ А Вы, слйчайно, не общайтесь с фирмой в Ижевске, которая занимается ADEM? :cool:

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Для SVN. Прочитал, что одна девушка делает до 25 прог за смену и вспомнил анекдот:

"Устраивается секретарша на работу. Ее спрашивают- сколько символов в минуту Вы печатаете?

Она-1000. Работодатель-!!? И как? Она-такая X...ня получается."

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Quote: from Guest on 13:40 - 7 Апр., 2002

Quoted from Guest about ADEM from topic "T-Flex" :

---

... а скажем у коллег из "Омеги", мне назвали 20000$.

---

Да за 20000$ я в Омеге получу 4-5 АДЕМов влегкую. Это же программное обеспечение, а не станок, кто же здесь "в лоб" работает?

Если серъезно, так цифрой в 20000 зеленых можно сразу испугать любого клиента, причем навсегда.  И бежать потом за ним, на ходу дергая за рукав, и говорить  "для тебя всего  10000" не серъезно и не солидно. Отсутствие твердого прайса на выставке - не лучший ход. Скидка в 2 раза через 15 минут разговора -  еще более не серъезно. Очень похоже на ловлю лоха на базаре.

Почитал мысли SVN по поводу массового расчета УП на АДЕМ... Ну можно поверить, если детальки плевые. А хорошую программу иногда неделю "делаешь", она из тебя все соки выпъет. А потом станок добавит...Все это очень отностительно, как в рекламе про пиво "Пит" (отностительно чего/кого?)

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

 

Почитал мысли SVN по поводу массового расчета УП на АДЕМ...Ну можно поверить, если детальки плевые.  

  В принципе верно. Девушка делает 2.5d контурную обработку с коррекцией (пуансоны, матрицы, прошивники, выбрасыватели). Все остальное делаем мы сами в симатроне.

Но вы сравните, что и она, я делал в полуручном режиме лет так 8 назад и делал не более 5-6 прог за смену. Счас одна девушка заменяет нас пятерых, что лет 8 назад работали. Чертежи получает через dxf. Она нас освобождает от неинтересной работы.

 И брака нет у нее, потому как Адем и постпроцесоры взяли на себя все расчеты (кто знаком со старыми версиями 2с42-65, поймут о чем идет речь - подход, отход к контуру, обход внешних и внутрених углов и т.д.).  Все это заложено в Адеме и постпроцесорах, поэтому на любую контурнуюя обработку с коррекцией (чистовая, получистовая, черновая), независимо от сложности детали, уходит по минимуму времени - от конвертации файла из DXF до записи готовой проги со сменой инструмента (чистовая, получистовая, черновая) на диск- 20-30 минут.

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

SVN

Все о чем вы написали - несложная 2/5 координатная обработка, контурная коррекция в 2С42, связь с Автокад-ом реаализовано не хуже в других САМ-системах.

Только вот стоят они существенно дешевле.  А вообще рад за вас - купив АДЕМ, вы избавлили себя от проблем с валовым расчетом и неинтересной работы(цитата).

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Quote: from AK on 10:19 - 9 Апр., 2002

SVN

Все о чем вы написали - несложная 2/5 координатная обработка, контурная коррекция в 2С42, связь с Автокад-ом реаализовано не хуже в других САМ-системах.

Только вот стоят они существенно дешевле.  А вообще рад за вас - купив АДЕМ, вы избавлили себя от проблем с валовым расчетом и неинтересной работы(цитата).

А почему только несложная 2,5-х. Адем позволяет делать практически все. Есть масса примеров плоских УП в 30-40 переходов, плюс совмещение в одной уп плоской и объемной обработки, плюс , плюс, плюс.

Теперь по поводу цены и жесткого прайс-листа.

Стоимость конкретного рабочего места не сильно дороже других продуктов, так ведь и возможности не хилые. А фиксированные цены есть, только не показываются они сразу. АДЕМ сначала ставится на ОП и только потом идет речь о рабочих местах и цене. Если хотите "это идивидуальная работа с клиентом". Если человек действительно интересуется и специалист, то он сначала попробует и будет решать стоит оно того или нет.  А рассужения типа "а вот у там дешевле в два раз, а у вас дорого" смысла не имеют, ну хочется в два раза дешевле кто же может удержать.

(Отредактировал(а) AK - 11:07 - 10 Апр., 2002)

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Почитал мысли SVN по поводу массового расчета УП на АДЕМ... Ну можно поверить, если детальки плевые. А хорошую программу иногда неделю "делаешь", она из тебя все соки выпъет

По моему дело не в том на сколько плевые или не плевые детальки, а на сколько технологично и быстро, их можно сделать в той или иной системе. Я работаю с ADEM 6.1 уже около трех лет и скажу, что 2D обработка там сделана здорово, что по возможностям, что по удобству в работе. Что касается 3D, то там тоже довольно удобно работать, но на мой взгляд не хватает возможностей обработки для инструментального производства.

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

to SHL

 Все никак не доберусь до постпроцесора на 2440. Времени пока свободного нет, загружен ;)))

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Quote: from AK on 9:38 - 11 Апр., 2002

Почитал мысли SVN по поводу массового расчета УП на АДЕМ... Ну можно поверить, если детальки плевые. А хорошую программу иногда неделю "делаешь", она из тебя все соки выпъет

По моему дело не в том на сколько плевые или не плевые детальки, а на сколько технологично и быстро, их можно сделать в той или иной системе. Я работаю с ADEM 6.1 уже около трех лет и скажу, что 2D обработка там сделана здорово, что по возможностям, что по удобству в работе. Что касается 3D, то там тоже довольно удобно работать, но на мой взгляд не хватает возможностей обработки для инструментального производства.

Вместо 6.1 рекомендую версиию 6.2, она на порядок стабильнее в работе, плюс к этому есть уже версия 6.3 (это можернизирования в каде и саме версия 6.2). А что именно не хватает в объемной обработке ???

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Quote: from AK on 10:30 - 11 Апр., 2002

to SHL

 Все никак не доберусь до постпроцесора на 2440. Времени пока свободного нет, загружен ;)))

Есть пост 2440СФ4-модель, 2С42-65-18 - стоцка, номер поста - 170

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Вместо 6.1 рекомендую версиию 6.2, она на порядок стабильнее в работе, плюс к этому есть уже версия 6.3 (это можернизирования в каде и саме версия 6.2). А что именно не хватает в объемной обработке ???

Да я уж давно в 6.2 работаю, она действительно под win2000  меньше вылетает, чем 6.1, версия 6.3 тоже есть. А на счет, что конкретно не хватает, чтоб мне не повторятся,зайди на сайт (www.omegat.ru  форум) я там несколько вопросов задавал, но еще пока далеко не все.

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

to SHL

Все никак не доберусь до постпроцесора на 2440. Времени пока свободного нет, загружен

to SVN

Раскладушку на завод принес?:)

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

to SHL

Нет еще, но мне домой комп дали c работы. Так что надеюсь в выходные доделать :)

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Может, вопрос не в тему, но мне интересно что можно программировать неделю? Или речь идёт о пятикоординатной обработке?

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

2 Pingvin man

Очень сложный пуансон (или матрицу) можно и больше чем неделю программировать. Я правда имею в виду следующее:

1. Черновая обработка

2. Чистовая обработка

3. Моделирование и программирование комплекта электродов.

Бывали у меня детальки с которыми почти месяц возился. Правда попутно и что-то другое делать приходилось.

1 пользователю понравилось это

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Создайте аккаунт или войдите для комментирования

Вы должны быть пользователем, чтобы оставить комментарий

Создать аккаунт

Зарегистрируйтесь для получения аккаунта. Это просто!


Зарегистрировать аккаунт

Войти

Уже зарегистрированы? Войдите здесь.


Войти сейчас

  • Сейчас на странице   0 пользователей

    Нет пользователей, просматривающих эту страницу



  • Реклама

  • Сообщения

    • Knight of Truth
      По Windows 7 - не знаю. На этой оси у нас обновления не тестировались - так как решили не тратить время и не пробовать снова эту отраву на вкус, ведь принцип действия патчей одинаков, не зависимо от операционной системы, а разработчики Microsoft по указу сверху могут добавлять новые компоненты этих патчей в любые обновления "стабильности" и "безопасности". Интересная информация: компания ASUS уже выкатила новые версии БИОС для своих материнских плат, где в процессор прошивается новый микрокод, устраняющий "уязвимости" системы. Подозреваю, что там припасено дополнительное урезание мощности компьютерного железа.
    • soklakov
      у Ансиса есть старый курс " Aeroacoustics using ANSYS Fluent 14.5 ".   сам не читал, но говорят там довольно понятно всё.
    • Борман
    • Tad
      По поводу дрожания - надо развоздушить систему. Если воздух не обнаружится - пробовать немного уменьшить коэффициент усиления ПИД регулятора осей Y при рабочей скорости. По поводу отключения - мало информации.
    • soklakov
      Крайне интересно. Правильно ли я понял, что Ваша софтина умеет прикладывать нагрузки к кубику, не спрашивая меня, какую из шести граней закрепить, а какую нагрузить? Если так, то тревожит вопрос: откуда она знает?
    • soklakov
      Подробностей? А то и правда, секретный танк, о котором ученые еще ничего не знают, работает при -300 по цельсию.
    • Sla_68
      Можете меня обзывать как хотите, быдло-кодером ну и т.д. Ну хоть убейте меня , я не знаю как выполнить данную задачу без дополнительных построений.  А так код вполне себе рабочий.Определяет все что мне нужно. Только что написал. Выкладываю код. Там имеется еще наборчик пользовательских функций. Но они все тригонометрические. Поэтому пока без них. Sub Назначение_свойств_профиля() 'On Error GoTo ex Dim swFace As SldWorks.face2 Dim swSurf As SldWorks.Surface Dim swDisplayDimension As SldWorks.DisplayDimension Dim swDim As SldWorks.Dimension Dim v1 As SldWorks.Vertex Dim v2 As SldWorks.Vertex Dim swRefAxis As SldWorks.RefAxis Dim vAxisParam As Variant Dim x As Double Dim y As Double Dim z As Double Dim x1 As Double Dim y1 As Double Dim z1 As Double Dim fx As Double Dim fy As Double Dim fz As Double Dim fx1 As Double Dim fy1 As Double Dim fz1 As Double Dim sm() As Double Dim swFeatMgr As SldWorks.FeatureManager Set swApp = Application.SldWorks Set part = swApp.ActiveDoc Set swFeatMgr = part.FeatureManager Set swSelMgr = part.SelectionManager part.SketchManager.AddToDB = True swApp.SetUserPreferenceToggle swSketchAutomaticRelations, False 'автопривязки отключаем swApp.SetUserPreferenceToggle swUserPreferenceToggle_e.swSketchInference, False 'прилипание ..отключает все взаимосвязи swApp.SetUserPreferenceToggle swUserPreferenceToggle_e.swInputDimValOnCreate, False 'убивает диалог с размером false -выключает диалог tt = part.GetTitle mg = Mid(tt, 10, 2) lRetVal = part.AddCustomInfo3("", "материал", swCustomInfoText, mg) partTitle = part.GetTitle namedetal = partTitle & ".SLDPRT" arrbody = part.GetBodies2(swSolidBody, False) Set body = arrbody(0) glavfaces = вернуть_номера_главных_плоскостей(body) Set swFace = glavfaces(2) Set swSurf = swFace.GetSurface '======================================================== If swSurf.IsPlane Then edjearr = вернуть_2_главных_кромки(swFace1) Set Edge = edjearr(2) params = Edge.GetCurveParams2 x1 = params(0): x2 = params(3): an1 = x1 - x2: bn1 = x2 - x1 'вектор оси y1 = params(1): y1 = params(4): an2 = y1 - y2: bn2 = y2 - y1 z1 = params(2): z1 = params(5): an3 = z1 - z2: bn3 = z2 - z1 pvec = перпендикулярный_вектор(an1, an2, an3) Set axeobj = Edge Set faceObj = swFace ElseIf swSurf.IsCylinder Then params = swFace.GetSurface.CylinderParams x1 = params(0): x2 = params(3): an1 = x1 - x2: bn1 = x2 - x1 'вектор оси y1 = params(1): y1 = params(4): an2 = y1 - y2: bn2 = y2 - y1 z1 = params(2): z1 = params(5): an3 = z1 - z2: bn3 = z2 - z1 pvec = перпендикулярный_вектор(an1, an2, an3) part.Insert3DSketch2 True 'вход строим 3 точки для плоскости Set swSketch = swApp.ActiveDoc.GetActiveSketch2 swSketch.Name = "точка" загрузочная_точка_смещена 0.1, (x1 + x2) / 2, (y1 + y2) / 2, (z1 + z2) / 2, pvec(0), pvec(1), pvec(2), fx0, fy0, fz0 Set swSketchPt0 = part.SketchManager.CreatePoint(fx0, fy0, fz0) part.Insert3DSketch2 True 'выход part.BlankSketch 'скрывает эскизы swSketchPt0.SelectByMark False, 2 swFace.SelectByMark True, 2 bret = part.InsertAxis 'вставка оси Set swFeatMgr = part.FeatureManager swFeatures = swFeatMgr.GetFeatures(True) Set axeobj = swFeatures(UBound(swFeatures)) 'ось axeobj.Name = "ось профиля" axeobj.SelectByMark False, 2 swSketchPt0.SelectByMark True, 2 Set faceObj = part.CreatePlaneThruLineAndPt(False) 'создает плоскость faceObj.Name = "плоскость распила" faceObj.SelectByMark False, 2 axeobj.SelectByMark True, 2 part.BlankRefGeom Else Exit Sub End If '=============================================== загрузочная_точка_смещена 3, x1, y1, z1, an1, an2, an3, fx1, fy1, fz1 'точки оси загрузочная_точка_смещена 3, x2, y2, z2, bn1, bn2, bn3, fx2, fy2, fz2 'точки оси загрузочная_точка_смещена 0.1, fx1, fy1, fz1, pvec(0), pvec(1), pvec(2), fx11, fy11, fz11 'точки будущих линий2 загрузочная_точка_смещена 0.1, fx2, fy2, fz2, pvec(0), pvec(1), pvec(2), fx22, fy22, fz22 'точки будущих линий2 '==================================================== faceObj.SelectByMark False, 2 part.SketchManager.InsertSketch True 'вставка 2D эскиза на рабочей плоскости Set swSketch = swApp.ActiveDoc.GetActiveSketch2 swSketch.Name = "контур_распила" Dim swMathPt1 As SldWorks.MathPoint Dim swMathPt11 As SldWorks.MathPoint Dim swMathPt111 As SldWorks.MathPoint Dim swMathPt2 As SldWorks.MathPoint Dim swMathPt22 As SldWorks.MathPoint Dim swMathPt222 As SldWorks.MathPoint Set swMathPt1 = get2Dpoint(swSketch, fx1, fy1, fz1) Set swMathPt11 = get2Dpoint(swSketch, fx11, fy11, fz11) Set swMathPt2 = get2Dpoint(swSketch, fx2, fy2, fz2) Set swMathPt22 = get2Dpoint(swSketch, fx22, fy22, fz22) Set skSegment1 = part.SketchManager.CreateCenterLine _ (swMathPt1.ArrayData(0), swMathPt1.ArrayData(1), swMathPt1.ArrayData(2), _ swMathPt11.ArrayData(0), swMathPt11.ArrayData(1), swMathPt11.ArrayData(2)) skSegment1.SelectByMark False, 2 axeobj.SelectByMark True, 2 part.SketchAddConstraints "sgPERPENDICULAR" Set skSegment2 = part.SketchManager.CreateCenterLine _ (swMathPt2.ArrayData(0), swMathPt2.ArrayData(1), swMathPt2.ArrayData(2), _ swMathPt22.ArrayData(0), swMathPt22.ArrayData(1), swMathPt22.ArrayData(2)) skSegment2.SelectByMark False, 2 axeobj.SelectByMark True, 2 part.SketchAddConstraints "sgPERPENDICULAR" '======================================================================================== Set v1 = ближайшая_вершина_к_координате(body, fx1, fy1, fz1, vdis1) Set Edge1 = ближайшая_кромка_к_координате(body, fx1, fy1, fz1, edis1) Set v2 = ближайшая_вершина_к_координате(body, fx2, fy2, fz2, vdis2) Set edge2 = ближайшая_кромка_к_координате(body, fx2, fy2, fz2, edis2) '=================================== If vdis1 <= edis1 Then v1.SelectByMark False, 2 Set swStartPt1 = skSegment1.GetStartPoint2 swStartPt1.SelectByMark True, 2 part.SketchAddConstraints "sgCOINCIDENT" Else Edge1.SelectByMark False, 2 skSegment1.SelectByMark True, 2 part.SketchAddConstraints "sgTANGENT" part.SketchAddConstraints "sgCOLINEAR" End If '================= If vdis2 <= edis2 Then v2.SelectByMark False, 2 Set swStartPt2 = skSegment2.GetStartPoint2 swStartPt2.SelectByMark True, 2 part.SketchAddConstraints "sgCOINCIDENT" Else edge2.SelectByMark False, 2 skSegment2.SelectByMark True, 2 part.SketchAddConstraints "sgTANGENT" part.SketchAddConstraints "sgCOLINEAR" End If '===================================== skSegment1.SelectByMark False, 2 skSegment2.SelectByMark True, 2 Set swDisplayDimension = part.AddDimension2(0, 0, 0) Set swDim = swDisplayDimension.GetDimension swDim.DrivenState = 1 swDim.Name = "длина" dlina = """длина@контур_распила@@default@" & namedetal & """" shirina = "1" lRetVal = part.DeleteCustomInfo2("", "длина") lRetVal = part.DeleteCustomInfo2("", "ширина") lRetVal = part.AddCustomInfo3("", "длина", swCustomInfoText, dlina) lRetVal = part.AddCustomInfo3("", "ширина", swCustomInfoText, shirina) part.SketchManager.InsertSketch True 'выход из эскиза part.BlankSketch ' скрыть эскиз part.SketchManager.AddToDB = False swApp.SetUserPreferenceToggle swUserPreferenceToggle_e.swSketchInference, True 'прилипание ..отключает все взаимосвязи swApp.SetUserPreferenceToggle swUserPreferenceToggle_e.swInputDimValOnCreate, True 'убивает диалог с размером true -включает диалог swApp.SetUserPreferenceToggle swSketchAutomaticRelations, True 'автопривязки включаем End Sub Function ближайшая_вершина_к_координате(body, x, y, z, dis) vList = body.GetVertices Dim arr() As Double Dim edjpoint As Variant Dim arrobj() As Object Dim arrobjdis() As Double If IsEmpty(vList) Then dis = 1000000 Set ближайшая_вершина_к_координате = Nothing Exit Function End If For i = 0 To UBound(vList) edjpoint = vList(i).GetClosestPointOn(x, y, z) 'ближайшая точка ReDim Preserve arr(i) 'массив дистанций ReDim Preserve arrobj(i) arr(i) = длина_линии(x, y, z, edjpoint(0), edjpoint(1), edjpoint(2)) Set arrobj(i) = vList(i) Next i max_min_indexarray arr, max1n, max2n, min1n, min2n dis = arr(min1n) Set ближайшая_вершина_к_координате = arrobj(min1n) End Function Function ближайшая_кромка_к_координате(body, x, y, z, dis) edgeList = body.GetEdges Dim arr() As Double Dim edjpoint As Variant Dim arrobj() As Object Dim arrobjdis() As Double For i = 0 To UBound(edgeList) edjpoint = edgeList(i).GetClosestPointOn(x, y, z) 'ближайшая точка ReDim Preserve arr(i) 'массив дистанций ReDim Preserve arrobj(i) arr(i) = длина_линии(x, y, z, edjpoint(0), edjpoint(1), edjpoint(2)) Set arrobj(i) = edgeList(i) Next i max_min_indexarray arr, max1n, max2n, min1n, min2n dis = arr(min1n) Set ближайшая_кромка_к_координате = arrobj(min1n) End Function Sub max_min_indexarray(mass, max1n, max2n, min1n, min2n) 'сортировка и удаление повторов в массиве max1n = 0 max2n = 0 min1n = 0 min2n = 0 For i = LBound(mass) To UBound(mass) If CDbl(mass(i)) > max1 Then max1 = CDbl(mass(i)) Next i max2 = 0 For i = LBound(mass) To UBound(mass) If CDbl(mass(i)) = max1 Then max1n = i Exit For End If Next i For i = LBound(mass) To UBound(mass) If CDbl(mass(i)) > max2 And i <> max1n Then max2n = i max2 = mass(i) End If Next i ''''''''''''''''''''''''''''''''''''''''''''''''''обратная min1 = max1 For i = LBound(mass) To UBound(mass) If CDbl(mass(i)) < min1 Then min1 = CDbl(mass(i)) Next i min2 = max1 For i = LBound(mass) To UBound(mass) If CDbl(mass(i)) = min1 Then min1n = i Exit For End If Next i For i = LBound(mass) To UBound(mass) If CDbl(mass(i)) < CDbl(min2) And i <> min1n Then min2n = i min2 = CDbl(mass(i)) End If Next i End Sub  
    • vad0000
      В первую очередь выкладывайте машинные параметры станка. 
    • Nevskiyalexxx
      Так то лучше вместо planarа несколько Z-levelов создать - он и припуск будет видеть и деталь гарантированно не зарежет.
    • lexincton
      Поменял вывод инструмента в событии начала траектории Прописать статично эту строку перед инструментом